<?php
return array(
	'ctrl' => array(
		'title'	=> 'LLL:EXT:t3wrapper/Resources/Private/Language/locallang_db.xlf:tx_t3wrapper_domain_model_wrapper',
		'label' => 'name',
		'tstamp' => 'tstamp',
		'crdate' => 'crdate',
		'cruser_id' => 'cruser_id',
		'dividers2tabs' => TRUE,
		'sortby' => 'sorting',

		'languageField' => 'sys_language_uid',
		'transOrigPointerField' => 'l10n_parent',
		'transOrigDiffSourceField' => 'l10n_diffsource',
		'delete' => 'deleted',
		'enablecolumns' => array(
			'disabled' => 'hidden',
			'starttime' => 'starttime',
			'endtime' => 'endtime',
		),
		'searchFields' => 'name,type_num,adm_panel,additional_headers,disable_all_header_code,extension_name,plugin_name,vendor_name,controller,switchable_controller_actions,abstract_settings,requests,ip,',
		'iconfile' => \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::extRelPath('t3wrapper') . 'Resources/Public/Icons/tx_t3wrapper_domain_model_wrapper.gif'
	),
	'interface' => array(
		'showRecordFieldList' => 'sys_language_uid, l10n_parent, l10n_diffsource, hidden, name, type_num, adm_panel, additional_headers, disable_all_header_code, extension_name, plugin_name, vendor_name, controller, switchable_controller_actions,abstract_settings, requests, ip',
	),
	'types' => array(
		'1' => array('showitem' => 'sys_language_uid;;;;1-1-1, l10n_parent, l10n_diffsource, hidden;;1, name, type_num, adm_panel, additional_headers, disable_all_header_code, extension_name, plugin_name, vendor_name, controller, switchable_controller_actions,abstract_settings, requests, ip, --div--;LLL:EXT:cms/locallang_ttc.xlf:tabs.access, starttime, endtime'),
	),
	'palettes' => array(
		'1' => array('showitem' => ''),
	),
	'columns' => array(
	
		'sys_language_uid' => array(
			'exclude' => 1,
			'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.language',
			'config' => array(
				'type' => 'select',
				'foreign_table' => 'sys_language',
				'foreign_table_where' => 'ORDER BY sys_language.title',
				'items' => array(
					array('LLL:EXT:lang/locallang_general.xlf:LGL.allLanguages', -1),
					array('LLL:EXT:lang/locallang_general.xlf:LGL.default_value', 0)
				),
			),
		),
		'l10n_parent' => array(
			'displayCond' => 'FIELD:sys_language_uid:>:0',
			'exclude' => 1,
			'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.l18n_parent',
			'config' => array(
				'type' => 'select',
				'items' => array(
					array('', 0),
				),
				'foreign_table' => 'tx_t3wrapper_domain_model_wrapper',
				'foreign_table_where' => 'AND tx_t3wrapper_domain_model_wrapper.pid=###CURRENT_PID### AND tx_t3wrapper_domain_model_wrapper.sys_language_uid IN (-1,0)',
			),
		),
		'l10n_diffsource' => array(
			'config' => array(
				'type' => 'passthrough',
			),
		),

		'hidden' => array(
			'exclude' => 1,
			'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.hidden',
			'config' => array(
				'type' => 'check',
			),
		),
		'starttime' => array(
			'exclude' => 1,
			'l10n_mode' => 'mergeIfNotBlank',
			'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.starttime',
			'config' => array(
				'type' => 'input',
				'size' => 13,
				'max' => 20,
				'eval' => 'datetime',
				'checkbox' => 0,
				'default' => 0,
				'range' => array(
					'lower' => mktime(0, 0, 0, date('m'), date('d'), date('Y'))
				),
			),
		),
		'endtime' => array(
			'exclude' => 1,
			'l10n_mode' => 'mergeIfNotBlank',
			'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.endtime',
			'config' => array(
				'type' => 'input',
				'size' => 13,
				'max' => 20,
				'eval' => 'datetime',
				'checkbox' => 0,
				'default' => 0,
				'range' => array(
					'lower' => mktime(0, 0, 0, date('m'), date('d'), date('Y'))
				),
			),
		),

		'name' => array(
			'exclude' => 1,
			'label' => 'LLL:EXT:t3wrapper/Resources/Private/Language/locallang_db.xlf:tx_t3wrapper_domain_model_wrapper.name',
			'config' => array(
				'type' => 'input',
				'size' => 30,
				'eval' => 'trim,required'
			),
		),
		'type_num' => array(
			'exclude' => 1,
			'label' => 'LLL:EXT:t3wrapper/Resources/Private/Language/locallang_db.xlf:tx_t3wrapper_domain_model_wrapper.type_num',
			'config' => array(
				'type' => 'input',
				'size' => 4,
				'eval' => 'int,required'
			)
		),
		'adm_panel' => array(
			'exclude' => 1,
			'label' => 'LLL:EXT:t3wrapper/Resources/Private/Language/locallang_db.xlf:tx_t3wrapper_domain_model_wrapper.adm_panel',
			'config' => array(
				'type' => 'check',
				'default' => 0
			)
		),
		'additional_headers' => array(
			'exclude' => 1,
			'label' => 'LLL:EXT:t3wrapper/Resources/Private/Language/locallang_db.xlf:tx_t3wrapper_domain_model_wrapper.additional_headers',
			'config' => array(
				'type' => 'input',
				'size' => 30,
				'eval' => 'trim'
			),
		),
		'disable_all_header_code' => array(
			'exclude' => 1,
			'label' => 'LLL:EXT:t3wrapper/Resources/Private/Language/locallang_db.xlf:tx_t3wrapper_domain_model_wrapper.disable_all_header_code',
			'config' => array(
				'type' => 'check',
				'default' => 0
			)
		),
		'extension_name' => array(
			'exclude' => 1,
			'label' => 'LLL:EXT:t3wrapper/Resources/Private/Language/locallang_db.xlf:tx_t3wrapper_domain_model_wrapper.extension_name',
			'config' => array(
				'type' => 'input',
				'size' => 30,
				'eval' => 'trim,required'
			),
		),
		'plugin_name' => array(
			'exclude' => 1,
			'label' => 'LLL:EXT:t3wrapper/Resources/Private/Language/locallang_db.xlf:tx_t3wrapper_domain_model_wrapper.plugin_name',
			'config' => array(
				'type' => 'input',
				'size' => 30,
				'eval' => 'trim,required'
			),
		),
		'vendor_name' => array(
			'exclude' => 1,
			'label' => 'LLL:EXT:t3wrapper/Resources/Private/Language/locallang_db.xlf:tx_t3wrapper_domain_model_wrapper.vendor_name',
			'config' => array(
				'type' => 'input',
				'size' => 30,
				'eval' => 'trim,required'
			),
		),
		'controller' => array(
			'exclude' => 1,
			'label' => 'LLL:EXT:t3wrapper/Resources/Private/Language/locallang_db.xlf:tx_t3wrapper_domain_model_wrapper.controller',
			'config' => array(
				'type' => 'input',
				'size' => 30,
				'eval' => 'trim,required'
			),
		),
		'switchable_controller_actions' => array(
			'exclude' => 1,
			'label' => 'LLL:EXT:t3wrapper/Resources/Private/Language/locallang_db.xlf:tx_t3wrapper_domain_model_wrapper.switchable_controller_actions',
			'config' => array(
				'type' => 'text',
				'cols' => 40,
				'rows' => 15,
				'eval' => 'trim'
			)
		),
		'abstract_settings' => array(
			'exclude' => 1,
			'label' => 'LLL:EXT:t3wrapper/Resources/Private/Language/locallang_db.xlf:tx_t3wrapper_domain_model_wrapper.abstract_settings',
			'config' => array(
				'type' => 'text',
				'cols' => 40,
				'rows' => 15,
				'eval' => 'trim'
			)
		),
		'requests' => array(
			'exclude' => 1,
			'label' => 'LLL:EXT:t3wrapper/Resources/Private/Language/locallang_db.xlf:tx_t3wrapper_domain_model_wrapper.requests',
			'config' => array(
				'type' => 'input',
				'size' => 4,
				'eval' => 'int'
			)
		),
		'ip' => array(
			'exclude' => 1,
			'label' => 'LLL:EXT:t3wrapper/Resources/Private/Language/locallang_db.xlf:tx_t3wrapper_domain_model_wrapper.ip',
			'config' => array(
				'type' => 'input',
				'size' => 30,
				'eval' => 'trim'
			),
		),
		
	),
);